# coding: utf-8
import os

from django.utils.translation import ugettext_lazy as _

THEME_ROOT_PATH = os.path.dirname(__file__)

TIONIX_THEME_PATH = os.path.abspath(os.path.join(
    THEME_ROOT_PATH, 'static', 'themes', 'tionix')
)
try:
    from openstack_dashboard.settings import AVAILABLE_THEMES, TEMPLATE_LOADERS
except ImportError:
    AVAILABLE_THEMES, TEMPLATE_LOADERS = [], tuple()

AVAILABLE_THEMES.append(
    ('tionix', _('TIONIX'), TIONIX_THEME_PATH)
)

TEMPLATE_LOADERS = (
    ('tionix_dashboard_theme.loader.TionixThemeTemplateLoader', ) +
    TEMPLATE_LOADERS[1:]
)

DEFAULT_THEME = 'tionix'

ACTION_CSS_CLASSES = ('btn-primary-tionix', 'btn')
